This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 821262 - Unexpand multi-byte patch incompatibilities
Unexpand multi-byte patch incompatibilities
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 12:15 EDT by Andrej Antas
Modified: 2013-02-20 10:39 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-20 10:39:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch adding multi-byte functionality tests (15.45 KB, patch)
2012-05-13 12:52 EDT, Andrej Antas
no flags Details | Diff
Proposed patch (1.07 KB, patch)
2013-02-14 10:54 EST, Roman Kollár
no flags Details | Diff

  None (edit)
Description Andrej Antas 2012-05-13 12:15:37 EDT
Description of problem:
As multibyte patch contains different paths from upstream and it is hard to
track the changes in behaviour, this bugzilla will be to track found
incompatibilites && fixes in coreutils-i18n patch for unexpand utility.


Version-Release number of selected component (if applicable):
coreutils-8.15-8.fc18

Steps to Reproduce:
1. Call following commands with LC_ALL=C and LC_ALL=fr_FR.UTF-8 locales

a) echo -n -e "x\t\t .\n" | unexpand -t 1,2

b) echo -n -e " b  c   d\n" | unexpand -t 1

c) echo -n -e " a a  a\n" | unexpand -t 1

d) echo -n -e "1234567\t1\n" | unexpand -a
  
Actual results:
Results are different (or command fails)

Expected results:
Results should be same

Additional info:
mistakes found after applying attached patch (it adds multibyte tests for utilities cut, expand, fold, join, pr, sort, unexpand, uniq)
Comment 1 Andrej Antas 2012-05-13 12:52:24 EDT
Created attachment 584161 [details]
patch adding multi-byte functionality tests
Comment 2 Roman Kollár 2013-02-14 10:54:55 EST
Created attachment 697263 [details]
Proposed patch
Comment 3 Ondrej Vasik 2013-02-20 10:39:01 EST
Looks a bit hacky, but solves the problem. Thanks for the patch. Adding 	Bernhard Voelker to CC so the change could get into OpenSUSE as well. (Note: there are others rh-bzillas with discovered incompatibilities in i18n patch.)

Note You need to log in before you can comment on or make changes to this bug.